package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 随访计划阶段表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_plan_stage")
public class FollowUpPlanStage extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1393541823392336558L;

	// 计划标识
	private String code;
	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 随访计划标识
	private String plan;
	// 阶段序号
	private Integer seq;
	// 类型：1定时，2不定时
	private Integer type;
	// 结束日期
	private Date endDate;
	// 目标
	private String target;
	// 执行状态：-1暂停，0未开始，1进行中，2已结束
	private Integer status;
	// 添加时间
	private Date czrq;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "end_date")
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
